% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mega2rcreate.R
\name{mk_markers_with_skip}
\alias{mk_markers_with_skip}
\title{make the derived "markers" data frame and store it in the environment.}
\usage{
mk_markers_with_skip(bpPosMap = 1, envir)
}
\arguments{
\item{bpPosMap}{An integer that indicates the map (index) to use to fetch the
chromosome/position fields from the map_table data frame to merge with the marker_table.}

\item{envir}{an environment that contains all the data frames created from the SQLite database.}
}
\value{
None
}
\description{
Create the markers data frame as a subset of the markers_table data frame.  It contains 5
observations: \describe{
  \item{locus_link:}{locus offset of this marker}
  \item{locus_link_fill:}{locus offset plus an accumulating fudge factor that jumps
         with each new chromosome because the count of markers per chromosome is force to be
         a multiple of 4.  (This value corresponds to the offset of the marker in the
         \code{unified_genotype_table}.)}
  \item{MarkerName:}{name of this marker}
  \item{chromosome:}{chromosome number of this marker}
  \item{position:}{base pair position of this marker (selected by bpPosMap[below])}
      }
}
\examples{
\dontrun{
mk_markers_with_skip(1)
}
}
\keyword{internal}
